compiz crashed with signal 5 (SIGTRAP) in g_logv() from g_log() from g_settings_schema_get_value() from g_settings_schema_key_init() from g_settings_get_value()

Bug #1044662 reported by Patrick Liniger on 2012-09-01
52
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Compiz
High
Andrea Azzarone
GLib
Invalid
Undecided
Unassigned
compiz (Ubuntu)
High
Andrea Azzarone
Xenial
Undecided
Unassigned

Bug Description

[Impact]
Compiz crashes if a setting is not available when using gsettings backend, instead of falling back on the default.

[Test case]
This causes some temporary system changes:
 sudo mv /usr/share/glib-2.0/schemas/org.compiz.unityshell.gschema.xml /tmp
 sudo glib-compile-schemas /usr/share/glib-2.0/schemas/
 initctl restart unity7

Unity should be now properly loaded, using default settings (~/.cache/upstart/unity7.log should complain about that, but with no crash).

To restore your state:
  sudo mv /tmp/org.compiz.unityshell.gschema.xml /usr/share/glib-2.0/schemas
  sudo glib-compile-schemas /usr/share/glib-2.0/schemas/
or
  sudo apt-get install --reinstall unity

[Regression potential]

User settings might be ignored in some cases.

-------------

crash during 2012.09.01 compiz update
(quantal installed on virtualbox)

ProblemType: Crash
DistroRelease: Ubuntu 12.10
Package: compiz-core 1:0.9.8.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.5.0-13.14-generic 3.5.3
Uname: Linux 3.5.0-13-generic x86_64
ApportVersion: 2.5.1-0ubuntu4
Architecture: amd64
CurrentDmesg:
 [ 104.602256] ISO 9660 Extensions: Microsoft Joliet Level 3
 [ 104.732537] ISO 9660 Extensions: RRIP_1991A
 [ 928.134106] show_signal_msg: 24 callbacks suppressed
 [ 928.134110] compiz[1661]: segfault at 105112644 ip 00007f0a55ab63ec sp 00007fff6acb4010 error 6 in libc-2.15.so[7f0a55a2b000+1b2000]
 [ 929.026467] compiz[2550] trap int3 ip:7ff2c0e9dfcf sp:7fffc2102180 error:0
Date: Sat Sep 1 11:06:53 2012
DistUpgraded: Fresh install
DistroCodename: quantal
DistroVariant: ubuntu
DkmsStatus:
 virtualbox-guest, 4.1.18, 3.5.0-10-generic, x86_64: installed
 virtualbox-guest, 4.1.18, 3.5.0-11-generic, x86_64: installed
 virtualbox-guest, 4.1.18, 3.5.0-13-generic, x86_64: installed
ExecutablePath: /usr/bin/compiz
GraphicsCard: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter [80ee:beef] (prog-if 00 [VGA controller])
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64 (20120724.2)
Lsusb:
 Bus 002 Device 002: ID 80ee:0021 VirtualBox USB Tablet
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: innotek GmbH VirtualBox
ProcCmdline: compiz
ProcEnviron:
 LANGUAGE=fr_CH:fr
 PATH=(custom, no user)
 LANG=fr_CH.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-13-generic root=UUID=d7944af3-f0a6-4074-b1c2-cfc5e67479f2 ro quiet splash vt.handoff=7
Signal: 5
SourcePackage: compiz
StacktraceTop:
 ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
 ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
 g_settings_get_value () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
 getVariantAtKey () from /usr/lib/libcompizconfig_gsettings_backend.so
 readOption () from /usr/lib/compizconfig/backends/libgsettings.so
Title: compiz crashed with signal 5 in g_settings_get_value()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 12/01/2006
dmi.bios.vendor: innotek GmbH
dmi.bios.version: VirtualBox
dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:
dmi.product.name: VirtualBox
dmi.product.version: 1.2
dmi.sys.vendor: innotek GmbH
version.compiz: compiz 1:0.9.8.0-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.38-0ubuntu2
version.libgl1-mesa-dri: libgl1-mesa-dri 9.0~git20120821.c1114c61-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.0~git20120821.c1114c61-0ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.12.99.905-0ubuntu3
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.99.99~git20120713.6ef1ad6a-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.20.3-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.1-4~ubuntu1

Related branches

StacktraceTop:
 g_settings_schema_get_value (schema=schema@entry=0x1b98540, key=key@entry=0x1dc1460 "framebuffer-object") at /build/buildd/glib2.0-2.33.10/./gio/gsettingsschema.c:640
 g_settings_schema_key_init (key=key@entry=0x7fffc21023b0, schema=0x1b98540, name=name@entry=0x1dc1460 "framebuffer-object") at /build/buildd/glib2.0-2.33.10/./gio/gsettingsschema.c:751
 g_settings_get_value (settings=0x1b4a230, key=0x1dc1460 "framebuffer-object") at /build/buildd/glib2.0-2.33.10/./gio/gsettings.c:1079
 ?? ()
 ?? ()

Changed in compiz (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
tags: added: compiz-0.9
visibility: private → public
summary: - compiz crashed with signal 5 in g_settings_get_value()
+ compiz crashed with signal 5 in g_settings_get_value() from
+ getVariantAtKey() from readOption() from readSetting() from
+ ccsReadPluginSettingsDefault()
summary: - compiz crashed with signal 5 in g_settings_get_value() from
+ compiz crashed with signal 5 (SIGTRAP) in g_settings_get_value() from
getVariantAtKey() from readOption() from readSetting() from
ccsReadPluginSettingsDefault()
Changed in compiz:
milestone: none → 0.9.8.2
tags: added: gsettings
Changed in compiz:
importance: Undecided → High
Changed in compiz (Ubuntu):
importance: Medium → High
summary: - compiz crashed with signal 5 (SIGTRAP) in g_settings_get_value() from
- getVariantAtKey() from readOption() from readSetting() from
- ccsReadPluginSettingsDefault()
+ compiz crashed with signal 5 (SIGTRAP) in g_logv() from g_log() from
+ g_settings_schema_get_value()from g_settings_schema_key_init() from
+ g_settings_get_value()
summary: compiz crashed with signal 5 (SIGTRAP) in g_logv() from g_log() from
- g_settings_schema_get_value()from g_settings_schema_key_init() from
+ g_settings_schema_get_value() from g_settings_schema_key_init() from
g_settings_get_value()
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu):
status: New → Confirmed
Changed in compiz:
status: New → Confirmed
Changed in compiz:
milestone: 0.9.8.2 → 0.9.8.4
Sam Spilsbury (smspillaz) wrote :

Schema's weren't recompiled on the user's system. Not a compiz bug.

Changed in compiz:
status: Confirmed → Invalid
Changed in compiz (Ubuntu):
status: Confirmed → Invalid
Daniel van Vugt (vanvugt) wrote :

Sam: If it's not a compiz bug then please reassign to the appropriate project.

Invalid in all projects doesn't help anyone.

Changed in compiz (Ubuntu):
status: Invalid → New
Changed in compiz:
status: Invalid → New
status: New → Confirmed
Changed in compiz (Ubuntu):
status: New → Confirmed
Sam Spilsbury (smspillaz) wrote :

Its not a bug. If the schemas fail to recompile then this crash will occurr. There's not much we can do about it because its nobody's fault. A file is corrupted on the user's system effectively. Hence invalid.

Changed in compiz:
status: Confirmed → Invalid
Changed in compiz (Ubuntu):
status: Confirmed → Invalid
Sam Spilsbury (smspillaz) wrote :

I've added GLib mainly because its yet another case of "schemas failed to recompile, break the user's system".

Changed in compiz:
milestone: 0.9.8.4 → none
Jussi Pakkanen (jpakkane) wrote :

This bug makes Unity unbootable. Is there a way to manually fix the broken schemas?

Sebastien Bacher (seb128) wrote :

@Daniel: that's not a bug, the same way that if your RAM is buggy and a binary file gets corrupted on disk it's the fault of no source,component (you can argue that system should handle corrupted binaries but that's a different topic and not likely an issue which we will tackle any time soon)

Changed in glib:
status: New → Invalid
Daniel van Vugt (vanvugt) wrote :

seb128:

I don't really care about this bug personally because it's not affecting me.

I do however care about the Ubuntu users who are hitting this crash and don't know what to do. If there's no known way to get around this crash and it keeps happening, then what do we tell people?

Sam Spilsbury (smspillaz) wrote :

sudo glib-recompile-schemas /usr/share/glib-2.0/schemas

Sebastien Bacher (seb128) wrote :

@Daniel: yeah, I do care as well, let's see what the issue is exactly

@Sam: the problem is not a schemas update, the dpkg trigger does that, until now every user I saw running into that had a /usr/local old schemas taking over the system one (same issue than having an old lib there taking over your system one and missing symbols)

Sebastien Bacher (seb128) wrote :

undupping Jussi's bug, that topic has in its xsession-errors:
(process:2550): GLib-GIO-ERROR **: Settings schema 'org.compiz.opengl' does not contain a key named 'framebuffer-object'

the other one has another issue with the unity schemas

Daniel van Vugt (vanvugt) wrote :

Valgrind says:

==11458== Process terminating with default action of signal 5 (SIGTRAP): dumping core
==11458== at 0x6E14FDB: g_logv (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.3200.3)
==11458== by 0x6E151B1: g_log (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.3200.3)
==11458== by 0xAF2B198: ??? (in /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0.3200.3)
==11458== by 0xAF2B356: ??? (in /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0.3200.3)
==11458== by 0xAF2E847: g_settings_get_value (in /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0.3200.3)
==11458== by 0xAC7A4F1: ccsGSettingsIntegratedSettingReadValue (ccs_gnome_integration_gsettings_integrated_setting.c:79)
==11458== by 0xAC79072: ccsGNOMEIntegrationBackendReadISAndSetSettingForType (ccs_gnome_integration.c:168)
==11458== by 0xAC794B2: ccsGNOMEIntegrationBackendReadOptionIntoSetting (ccs_gnome_integration.c:290)
==11458== by 0xAA698FA: readSetting (gsettings.c:63)
==11458== by 0xA2E5B4A: ccsReadPluginSettingsDefault (main.c:3461)
==11458== by 0xA2D927A: ccsLoadPluginSettings (compiz.cpp:3263)
==11458== by 0xA2E5C7C: ccsFindSettingDefault (main.c:602)

Daniel van Vugt (vanvugt) wrote :

Sam,

Any idea why I only get this crash in valgrind?

Daniel van Vugt (vanvugt) wrote :

OK, I can confirm this bug is not a problem with my system. It happens consistently only when I run compiz under valgrind. Without valgrind it has never crashed.

Strangely however, it seems to be fixed by the fix for bug 1064791, landing soon. I might be imagining things but I have triple checked. Seems fixed by lp:~compiz-team/compiz/compiz.fix_1064791.

So this bug remains Incomplete until that fix is released and more people can verify.

Changed in compiz:
status: Invalid → Confirmed
status: Confirmed → Incomplete
Changed in compiz (Ubuntu):
status: Invalid → Incomplete
Changed in compiz:
milestone: none → 0.9.9.0
Launchpad Janitor (janitor) wrote :

[Expired for compiz (Ubuntu) because there has been no activity for 60 days.]

Changed in compiz (Ubuntu):
status: Incomplete → Expired
Changed in compiz:
status: Incomplete → Confirmed
Changed in compiz (Ubuntu):
status: Expired → Confirmed

I've got a system experiencing this, making Unity unusable. There are no schemas under /usr/local, so that's not the issues. Let me know if there is anything I can do you help debug this further.

Changed in compiz:
milestone: 0.9.9.0 → 0.9.9.2
Changed in compiz:
milestone: 0.9.9.2 → 0.9.10.0
Changed in compiz:
milestone: 0.9.10.0 → 0.9.10.2
MC Return (mc-return) on 2013-07-24
Changed in compiz:
milestone: 0.9.10.2 → 0.9.11.0
dino99 (9d9) wrote :

That version has reached EOL since a while, so it will not receive update. If that issue still exist, report again using ubuntu-bug.

Changed in compiz (Ubuntu):
status: Confirmed → Invalid
Changed in compiz:
status: Confirmed → Invalid
tags: added: desktop-trello-import
Changed in compiz (Ubuntu):
status: Invalid → In Progress
Changed in compiz:
status: Invalid → In Progress
assignee: nobody → Andrea Azzarone (azzar1)
Changed in compiz (Ubuntu):
assignee: nobody → Andrea Azzarone (azzar1)
Changed in compiz:
milestone: 0.9.11.0 → none
tags: removed: desktop-trello-import
dino99 (9d9) wrote :

The #9 comment says it all

How can you hope to avoid a random corrupted schema on a system ?

So that report really seems a no go; and should be definitely closed.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.13.0+16.10.20160726.4-0ubuntu1

---------------
compiz (1:0.9.13.0+16.10.20160726.4-0ubuntu1) yakkety; urgency=medium

  [ Andrea Azzarone ]
  * Don't activate expo if not needed (1x1 setup) (LP: #1606254)
  * Don't crash if gsettings key is not found. Default value will be
    used. (LP: #1044662)

  [ BryanFRitt ]
  * Added in 100% to Grid's 'Cycle Through Multiple Sizes' and

  [ Marco Trevisan (Treviño) ]
  * Unity MigrationScript: sync gsettings on exit, and only use dconf on
    failure (LP: #1605011)
  * Animationsim: fix typo in default bool value

  [ Sam Spilsbury <email address hidden> ]
  * Re-add the animationsjc plugin
  * Add back simple-animations plugin
  * Re-add the animationsplus plugn

  [ ksamak ]
  * switcher: adds a size multiplier for A11Y purposes (sight impaired
    people)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Tue, 26 Jul 2016 15:20:43 +0000

Changed in compiz (Ubuntu):
status: In Progress → Fix Released
description: updated

Hello Patrick, or anyone else affected,

Accepted compiz into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/compiz/1:0.9.12.2+16.04.20160801.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in compiz (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed

I usually restart Unity by opening commands menu (Alt+F2) and running there unity. If I do it this way unity-panel-service crashes and there are no indicators.

If I restart Unity with the command given in the test case everything is fine.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.12.2+16.04.20160801.3-0ubuntu1

---------------
compiz (1:0.9.12.2+16.04.20160801.3-0ubuntu1) xenial; urgency=medium

  [ Andrea Azzarone ]
  * Don't activate expo if not needed (1x1 setup) (LP: #1606254)
  * Don't crash if gsettings key is not found. Default value will be
    used. (LP: #1044662)
  * focusDefaultWindow: focus Most Recently Used (MRU) window and
    fallback to the top window in case MRU list is not available. (LP:
    #1073488, LP: #1459671)

  [ Marco Trevisan (Treviño) ]
  * Unity MigrationScript: sync gsettings on exit, and only use dconf on
    failure (LP: #1605011)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Mon, 01 Aug 2016 13:41:42 +0000

Changed in compiz (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for compiz has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Andrea Azzarone (azzar1) on 2016-11-04
Changed in compiz:
status: In Progress → Fix Released
To post a comment you must log in.